Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Static Public Member Functions | Public Attributes | List of all members
eZPublishSDK Class Reference

contains the eZ Publish SDK version. More...

## Static Public Member Functions
static | version ( $withRelease=true, $asAlias=false, $withState=true)
static | majorVersion ()
static | minorVersion ()
static | state ()
static | developmentVersion ()
static | release ()
static | alias ()
static | databaseVersion ( $withRelease=true)
static | databaseRelease ()

## Public Attributes
const | VERSION_MAJOR = 2
const | VERSION_MINOR = 4.0
const | VERSION_RELEASE = 0.1
const | VERSION_STATE = 'stable'
const | VERSION_DEVELOPMENT = false
const | VERSION_ALIAS = '2.4.0.1'
const | EDITION = 'Exponential Basic'

## Detailed Description

contains the eZ Publish SDK version.

Definition at line 16 of file version.php.

## Member Function Documentation

## ◆ alias()

static eZPublishSDK::alias | ( |  | ) |
| static

Returns
  the alias name for the release, this is often used for beta releases and release candidates.

Definition at line 96 of file version.php.

References VERSION_ALIAS.

Referenced by version().

## ◆ databaseRelease()

static eZPublishSDK::databaseRelease | ( |  | ) |
| static

Returns
  the release of the database.

Definition at line 125 of file version.php.

References $db, and $rows.

Referenced by databaseVersion().

## ◆ databaseVersion()

static eZPublishSDK::databaseVersion | ( |  | $withRelease = `true` | ) |
| static

Returns
  the version of the database.

Parameters

  withRelease | If true the release version is appended

Definition at line 105 of file version.php.

References $db, $rows, $version, and databaseRelease().

## ◆ developmentVersion()

static eZPublishSDK::developmentVersion | ( |  | ) |
| static

Returns
  the development version or `false` if this is not a development version

Definition at line 80 of file version.php.

References VERSION_DEVELOPMENT.

## ◆ majorVersion()

static eZPublishSDK::majorVersion | ( |  | ) |
| static

Returns
  the major version

Definition at line 56 of file version.php.

References VERSION_MAJOR.

Referenced by version().

## ◆ minorVersion()

static eZPublishSDK::minorVersion | ( |  | ) |
| static

Returns
  the minor version

Definition at line 64 of file version.php.

References VERSION_MINOR.

Referenced by version().

## ◆ release()

static eZPublishSDK::release | ( |  | ) |
| static

Returns
  the release number

Definition at line 88 of file version.php.

References VERSION_RELEASE.

Referenced by version().

## ◆ state()

static eZPublishSDK::state | ( |  | ) |
| static

Returns
  the state of the release

Definition at line 72 of file version.php.

References VERSION_STATE.

Referenced by version().

## ◆ version()

static eZPublishSDK::version | ( |  | $withRelease = `true`,
|  |  | $asAlias = `false`,
|  |  | $withState = `true`
| ) |  |
| static

Returns
  the SDK version as a string

Parameters

  withRelease | If true the release version is appended
  withAlias | If true the alias is used instead

Definition at line 31 of file version.php.

References alias(), majorVersion(), minorVersion(), release(), and state().

Referenced by ezpKernelWeb\run().

## Member Data Documentation

## ◆ EDITION

const eZPublishSDK::EDITION = 'Exponential Basic'

Definition at line 24 of file version.php.

Referenced by ezpKernelTreeMenu\__construct(), ezpbKernelAdmin\run(), ezpbKernelWeb\run(), and ezpKernelWeb\run().

## ◆ VERSION_ALIAS

const eZPublishSDK::VERSION_ALIAS = '2.4.0.1'

Definition at line 23 of file version.php.

Referenced by alias().

## ◆ VERSION_DEVELOPMENT

const eZPublishSDK::VERSION_DEVELOPMENT = false

Definition at line 22 of file version.php.

Referenced by developmentVersion().

## ◆ VERSION_MAJOR

const eZPublishSDK::VERSION_MAJOR = 2

Definition at line 18 of file version.php.

Referenced by majorVersion().

## ◆ VERSION_MINOR

const eZPublishSDK::VERSION_MINOR = 4.0

Definition at line 19 of file version.php.

Referenced by minorVersion().

## ◆ VERSION_RELEASE

const eZPublishSDK::VERSION_RELEASE = 0.1

Definition at line 20 of file version.php.

Referenced by release().

## ◆ VERSION_STATE

const eZPublishSDK::VERSION_STATE = 'stable'

Definition at line 21 of file version.php.

Referenced by state().

The documentation for this class was generated from the following file:

- version.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.